Loading...
Searching...
No Matches
eols.hpp File Reference
Private

provide a way to detect the presence of string from a list of string in a byte flow More...

`#include "../my_config.h"`
`#include <string>`
`#include <deque>`
`#include "integers.hpp"`

Go to the source code of this file.

## Classes

class | libdar::eols
| the class eols provide a way to detect the presence of string from a list of string in a byte flow More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

provide a way to detect the presence of string from a list of string in a byte flow

This class is used by the mask_list class to detect the end of lines from a set of several variable length sequences provided by the user

Definition in file eols.hpp.